<template>
    <div class="slds-box slds-theme_default">
     <center>  <button class="slds-button slds-button_brand" onclick={openModal}>Start a new match</button>&nbsp;&nbsp;
     <button class="slds-button slds-button_brand" onclick={openModal}>Update score</button>&nbsp;&nbsp;
     <button class="slds-button slds-button_brand" onclick={openModal}>Finish match</button>  </center>           
<br/><br/>

    <table>
        <tr>
            <td>Home Team</td>
            <td>Score</td>
            <td>Away Team</td>
            <td>Score</td>
        </tr>
    <template for:each={matchList} for:item="match">
        <tr key={match.Id}>                
            <td>                                
                {match.HomeTeam__c}
            </td>
            <td>
                {match.HomeTeamScore__c}
            </td>
            <td>
                {match.AwayTeam__c}
            </td>
            <td>
                {match.AwayTeamScore__c}
            </td> 
        </tr>                                                                     
    </template>
</table>
<!-- SATRT A MATCH -->
<template if:true={isModalOpen}>
    <!-- Modal/Popup Box LWC starts here -->
    <section role="dialog" tabindex="-1" aria-labelledby="modal-heading-01" aria-modal="true" aria-describedby="modal-content-id-1" class="slds-modal slds-fade-in-open">
        <div class="slds-modal__container">
            <!-- Modal/Popup Box LWC header here -->
            <header class="slds-modal__header">
                <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModal}>
                    <lightning-icon icon-name="utility:close"
                        alternative-text="close"
                        variant="inverse"
                        size="small" ></lightning-icon>
                    <span class="slds-assistive-text">Close</span>
                </button>
                <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate">Modal/PopUp Box header LWC</h2>
            </header>
            <!-- Modal/Popup Box LWC body starts here -->
            <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">
                <p>
                        <lightning-card title="Start a match">
                            <lightning-record-form
                            object-api-name={objectApiName}
                            fields={fields}
                            onsubmit={handleSubmit}
                            onsuccess={handleSuccess}>
                            </lightning-record-form> 
                        </lightning-card>
                 
                </p>
            </div>
            <!-- Modal/Popup Box LWC footer starts here -->
            <footer class="slds-modal__footer">
               <!-- <button class="slds-button slds-button_neutral" onclick={closeModal} title="Cancel">Cancel</button>
                <button class="slds-button slds-button_brand" onclick={submitDetails} title="OK">OK</button> -->
            </footer>
        </div>
    </section>
    <div class="slds-backdrop slds-backdrop_open"></div>
</template>
</div>
</template>